# Copyright 2021 The Pigweed Authors
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may not
# use this file except in compliance with the License. You may obtain a copy of
# the License at
#
#     https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations under
# the License.
"""Fetches workspace dependencies required for //pw_protobuf"""

load("@bazel_tools//tools/build_defs/repo:http.bzl", "http_archive")

def pw_protobuf_dependencies():
    """ Fetches workspace dependencies required for //pw_protobuf """
    if "com_google_protobuf" not in native.existing_rules():
        http_archive(
            name = "com_google_protobuf",
            sha256 = "71030a04aedf9f612d2991c1c552317038c3c5a2b578ac4745267a45e7037c29",
            strip_prefix = "protobuf-3.12.3",
            url = "https://github.com/protocolbuffers/protobuf/archive/v3.12.3.tar.gz",
        )
